Subject: [nncp-devel] NNCP user/group permissions

From: John Goerzen <[email-masked]>
Date: Sat, 19 Oct 2019 22:34:47 -0500

Hi Sergey & the group,

First, thanks for your work on NNCP!  As a guy that used UUCP way back,
I appreciate a very well-done successor.

The question I have pertains to directory ownership and permissions.
Basically:

1) What user/group should own /var/spool/nncp and what should the
permissions on that directory be?

2) What user/group should own /etc/nncp.yaml and what should the
permissions on that file be?

3) What user/group should various programs run as?  I would imagine that
nncp-file should run as individual users but maybe nncp-daemon should
run as a system nncp user or some such.

In playing around with this a bit, I found that /etc/nncp.yaml has to be
world-readable (or, at the very least, group-readable if I put all the
users that are allowed to run nncp commands into an nncp group).
/var/spool/nncp is a bit of a tough one; I tried making an nncp group
and marking that directory g+ws, but when I ran nncp-file as my jgoerzen
user, it created a number of directories owned by jgoerzen and without
group write permission.

I found a few references in the manual to an nncpuser account but
nothing very explicit.

For what it's worth, I am a Debian developer and am also packaging up
NNCP for Debian.  This will also cause it to be included in Ubuntu and
other Debian derivatives in the future.

Thanks again!

- John